Subject: Re[2]: X and mice problems ?

From: [email-masked]
Date: Sun, 28 Jul 96 20:35:38 cet

Shaya Potter [email-masked] says:
>
> On Fri, 26 Jul 1996, David J. Evans wrote:

> > I've recently switched from RedHat to Debian 1.1 and am 
> > experiencing problems with X.  I had previously run X 
> > successfully on Redhat and so assumed that there would be 
> > no problem.
> > ...
> > 
> > Fatal server error:
> > Cannot open mouse (No such device)
> > 
> >______________
> >David J. Evans
> >AMS, Virology Research Group, The University of Reading
> >Whiteknights, P.O. Box 228, Reading RG6 6AJ
> >Tel : +44 (0)118 9318893  Fax : +44 (0)118 9316537
> >http://skpc10.reading.ac.uk/
> 
> The kernel you are using might not have ps/2 mouse support compiled in, 
> try remaking and when you configure it, include mouse support (it's under 
> the character device setting).
>
> Another possibility, even though it doesn't appear so from you error 
> message, could be if you are running gpm.  
> ....
> ...
> Shaya Potter
> [email-masked]
>

It is not gmp. Debian runs a script that kills gpm before you start X
..clever hmm!) so it is definitely the compiled kernel you are using 
the cause of the error.

Check under special-kernels for a new kernel to boot from, or build a new one 
with mouse support. Alternatively (the simplest maybe), from the Config files to
build the kernel I found in Debian (see release stable = 1.1.2) it seems that 
the 2.0.x kernels support loadable drivers (i.e., module) for the busmice, but I
could not find those for the busmice. You check uner /lib/modules/2.0.x/... I 
think.

Hope it helps,
Lazaro 

P.S. If your kernel supports the Bus Mouse you see it at boot time
     Try "dmesg | grep mouse"